@echo off
if "%WGDEV%" == "" goto BADENV
if "%JAVA10%" == "" goto BADENV
echo dummy file > %WGDEV%\bin\tmpbld.dum
make -f%1 -DOS=JAVA -DCMP=JAVA10 %2 %3 %4 %5 %6 %7 %8
goto DONE
:BADENV
echo MKJAVA.BAT - You need to set up the proper environment variables!
echo.
echo      WGDEV     - Your Worldgroup development environment.
echo      JAVA10    - JDK 1.0 root directory.
:DONE
